NetBeans IDE 5.0 (and above, such as the current release, 5.5) supports Struts out of the box. That's right. There are no additional steps you need to take after installing (either via an installer or just by unzipping an archive file) the IDE. Tomcat is also bundled out of the box with the IDE, therefore creating and deploying web application with Struts requires NO ADDITIONAL PLUGINS.

The following features are supported in the IDE, specifically for Struts:

After you have installed NetBeans IDE 5.0 (or above), here are some specific Struts-related resources you can use with NetBeans IDE 5.0 (and above):

Introduction to the Struts Web Framework

NetBeans IDE Tutorial for Accessing Data with a Struts Data Source

StrutsNetBeans50 (last edited 2009-09-20 23:12:28 by localhost)